# 配置根节点
root:
  # 是否是调试模式
  debug: true

  # Web服务监听地址和端口
  web_server_address: "192.168.50.85:10051"

  # Elasticsearch 地址
  es_urls: "http://10.252.0.70:18099"

  # RabbitMQ 配置
  rabbitmq_address: "amqp://admin:admin@192.168.50.85:5672/"

  # mq队列名称
  mq_queue_name: "admin_center"

  # 数据库配置
  db_config:
    # 实时更新数据库数量{玩家库/用户库}
    db_num: [ 0 ]

    admin_db:
      # 最大处于开启状态的连接数
      max_open_conns: 0

      # 最大处于空闲状态的连接数
      max_idle_conns: 0

      # 数据库连接字符串
      connection_string: "root:Qq5201530300@tcp(192.168.50.110:3306)/admin?charset=utf8&parseTime=true&loc=Local&timeout=30s&multiStatements=true"

    user_db:
      # 最大处于开启状态的连接数
      max_open_conns: 0

      # 最大处于空闲状态的连接数
      max_idle_conns: 0

      # 数据库连接字符串
      connection_string: "root:Qq5201530300@tcp(192.168.50.110:3306)/user?charset=utf8&parseTime=true&loc=Local&timeout=30s&multiStatements=true"

    redis_config:
      # 数据库连接字符串
      connection_string: "192.168.50.110:6379"

      # 密码, 如果要设置用户Id，则密码设置为:"UserId:Password"
      password: ""

      # 数据库序号
      database: 5

      # 最大活跃连接数
      max_active: 500

      # 最大空闲的连接数
      max_idle: 200

      # 连接空闲超时时间，单位:秒
      idle_timeout: 300

      # 连接超时时间, 单位：秒
      dial_connect_timeout: 10